SearchContentHandler (BioJava-1.5-beta API)
Keywords: org.biojava.bio.search.SearchContentHandler interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.search
Interface SearchContentHandler

All Known Subinterfaces:
  SearchBuilder

All Known Implementing Classes:
  BlastLikeHomologyBuilder, BlastLikeSearchBuilder, FastaSearchSAXParser, FilteringContentHandler, SearchContentAdapter, SearchContentFilter, SearchContentHandlerDebugger, SimilarityPairBuilder

    public interface SearchContentHandler

`SearchContentHandler` is a notification interface for objects which listen to search stream parsers. This is applicable to all types of search results which are represented by flat files created by external programs e.g. Fasta, (T)BlastN/PX, EMBOSS programs. This is not limited to sequence similarity searches, but includes any format consisting of a header followed by hits, each of which may, or may not, have subhits.

Since:
  1.1
Author:
  Keith James

Method Summary
`void` | `addHitProperty(Object key, Object value)` The `addHitProperty` method adds a key/value pair containing some property of a particular hit.
`void` | `addSearchProperty(Object key, Object value)` The `addSearchProperty` method adds a key/value pair containing some property of the overall search result.
`void` | `addSubHitProperty(Object key, Object value)` The `addSubHitProperty` method adds a key/value pair containing some property of a particular subhit.
`void` | `endHeader()` The `endHeader` method indicates the end of a formatted header.
`void` | `endHit()` The `endHit` method indicates the end of a formatted hit.
`void` | `endSearch()` The `endSearch` method indicates the end of useful search information.
`void` | `endSubHit()` The `endSubHit` method indicates the end of a formatted subhit.
`boolean` | `getMoreSearches()` `getMoreSearches` returns the state of the `SearchContentHandler` with respect to further searches from its data source.
`void` | `setDatabaseID(String databaseID)` `setDatabaseID` identifies the database searched by a name, ID or URN.
`void` | `setMoreSearches(boolean value)` `setMoreSearches` sets the state of the `SearchContentHandler`'s expectation of receiving more results.
`void` | `setQueryID(String queryID)` `setQueryID` identifies the query sequence by a name, ID or URN.
`void` | `startHeader()` The `startHeader` method indicates the start of a formatted header.
`void` | `startHit()` The `startHit` method indicates the start of a formatted hit.
`void` | `startSearch()` The `startSearch` method indicates the start of useful search information.
`void` | `startSubHit()` The `startSubHit` method indicates the start of a formatted subhit.

Method Detail

### getMoreSearches

    boolean getMoreSearches()

  `getMoreSearches` returns the state of the `SearchContentHandler` with respect to further searches from its data source. Used for handling streams of search results.

  Returns:
    a `boolean` value.

### setMoreSearches

    void setMoreSearches(boolean value)

  `setMoreSearches` sets the state of the `SearchContentHandler`'s expectation of receiving more results. Used for handling streams of search results.

  Parameters:
    `value` - a `boolean` value.

### startSearch

    void startSearch()

  The `startSearch` method indicates the start of useful search information.

### endSearch

    void endSearch()

  The `endSearch` method indicates the end of useful search information.

### startHeader

    void startHeader()

  The `startHeader` method indicates the start of a formatted header. This usually contains information relevant to the search as a whole.

### endHeader

    void endHeader()

  The `endHeader` method indicates the end of a formatted header.

### startHit

    void startHit()

  The `startHit` method indicates the start of a formatted hit. This could be a single line, or a block of lines.

### endHit

    void endHit()

  The `endHit` method indicates the end of a formatted hit.

### startSubHit

    void startSubHit()

  The `startSubHit` method indicates the start of a formatted subhit. There may be zero or more of these per hit.

### endSubHit

    void endSubHit()

  The `endSubHit` method indicates the end of a formatted subhit.

### addSearchProperty

    void addSearchProperty(Object key,
                           Object value)

  The `addSearchProperty` method adds a key/value pair containing some property of the overall search result.

  Parameters:
    `key` - an `Object`.
    `value` - an `Object`.

### addHitProperty

    void addHitProperty(Object key,
                        Object value)

  The `addHitProperty` method adds a key/value pair containing some property of a particular hit.

  Parameters:
    `key` - an `Object`.
    `value` - an `Object`.

### addSubHitProperty

    void addSubHitProperty(Object key,
                           Object value)

  The `addSubHitProperty` method adds a key/value pair containing some property of a particular subhit.

  Parameters:
    `key` - an `Object`.
    `value` - an `Object`.

### setQueryID

    void setQueryID(String queryID)

  `setQueryID` identifies the query sequence by a name, ID or URN.

  Parameters:
    `queryID` - a `String` which should be an unique identifer for the sequence.

### setDatabaseID

    void setDatabaseID(String databaseID)

  `setDatabaseID` identifies the database searched by a name, ID or URN.

  Parameters:
    `databaseID` - a `String` which should be an unique identifier for the database searched.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD